List Routes

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /distributions
  • /:distribution_id
  • /routes

Get all routes in the distribution

Request

REQUIRED SCOPES
DISTRIBUTION_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

distribution_idrequiredstring
The ID of the distribution

Example: "nZrnl40Y"

GET PARAMETERS
project_namestring
Project name to filter distributions

Example: "my-project"

environment_idstring
Environment ID to filter distributions

Example: "3a4KbBQl"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
routesRouteView[]

Last modified on Nov 17, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/distributions/:distribution_id/routes" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG/routes",
  "html_url": "https://app.buddy.works/my-workspace/-/routing/rm1P93jG",
  "routes": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG/routes/VXb2ZOb3",
      "html_url": "https://app.buddy.works/my-workspace/-/routing/rm1P93jG/route/VXb2ZOb3",
      "id": "VXb2ZOb3",
      "type": "DIRECT_PROXY",
      "subdomain": "tunnel",
      "domain": "buddy.works",
      "path": "",
      "targets": {
        "Default": {
          "type": "TUNNEL",
          "tunnel": {
            "agent_id": "j9wYx1vb",
            "tunnel_id": "50edvo3Y"
          }
        }
      }
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG/routes/JqbOmp06",
      "html_url": "https://app.buddy.works/my-workspace/-/routing/rm1P93jG/route/JqbOmp06",
      "id": "JqbOmp06",
      "type": "DIRECT_PROXY",
      "subdomain": "asdf",
      "domain": "buddy.works",
      "path": "asd",
      "targets": {
        "PL": {
          "type": "EXTERNAL",
          "external_url": "testpl.com"
        },
        "Europe": {
          "type": "EXTERNAL",
          "external_url": "testeu.com"
        },
        "Default": {
          "type": "EXTERNAL",
          "external_url": "test.com"
        }
      }
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG/routes/1ObP9zw8",
      "html_url": "https://app.buddy.works/my-workspace/-/routing/rm1P93jG/route/1ObP9zw8",
      "id": "1ObP9zw8",
      "type": "DIRECT_PROXY",
      "subdomain": "testing3",
      "domain": "buddy.works",
      "path": "",
      "targets": {
        "Default": {
          "type": "EXTERNAL",
          "external_url": "kordos.com"
        }
      }
    }
  ]
}
STATUS
200 OK